package kr.co.vividnext.sodalive.main

import android.content.Intent
import android.os.Bundle
import android.os.Handler
import android.os.Looper
import androidx.appcompat.app.AppCompatActivity
import kr.co.vividnext.sodalive.splash.SplashActivity

class DeepLinkActivity : AppCompatActivity() {
    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)

        startActivity(
            Intent(applicationContext, SplashActivity::class.java).apply {
                data = intent.data
            }
        )

        Handler(Looper.getMainLooper()).postDelayed({
            finish()
        }, 1000)
    }
}
